Skip to main content
GET
/
v1.0
/
subscribers
/
message-filter
cURL
curl -X GET 'https://api.telegent.com/v1.0/subscribers/message-filter?SubscriberId=TSUID-C7AB61E0-9AD9-4512-ACA8-EDA284131441' \
  -H 'Authorization: Bearer YOUR_TOKEN'
import requests

url = "https://api.telegent.com/v1.0/subscribers/message-filter"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.telegent.com/v1.0/subscribers/message-filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "FilterId": "MFID-6b6766eb-08fe-4680-99b7-731bd0629331",
    "SubscriberId": "TSUID-C7AB61E0-9AD9-4512-ACA8-EDA284131441",
    "Phone": "+1234567890",
    "FilterMode": "ACTIVE",
    "AllowedContacts": [
      "+1111111111",
      "+2222222222"
    ],
    "BlockedContacts": [
      "+3333333333"
    ],
    "KeywordFilter": "\"CustomKeywords\":[\"inappropriate\",\"banned\"],\"SystemKeywords\":{\"Profanity\":[\"word1\",\"word2\"],\"Violence\":[\"threat1\"]},\"SeverityMap\":{\"Word1\":\"HIGH\",\"Inappropriate\":\"MEDIUM\"}",
    "NotificationPhones": [
      "+9999999999"
    ],
    "ApplyToOutbound": true,
    "ApplyToInbound": true,
    "BlockUnknownNumbers": true,
    "BlockLinks": true,
    "BlockMedia": true
  }
]
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}

Query Parameters

SubscriberId
string

Optional. Return only filters belonging to this subscriber. Format: TSUID- followed by a UUID.

Phone
string

Optional. Return only filters tied to this phone number. Use E.164 format (e.g., +15555555555).

AccountId
string

AccountId string

Response

Message Filters Retrieved